/*---------------------------------------------------------------------------------
 bbEdgeMenu ( 2004 Slade Taylor [bladestaylor@yahoo.com])
 ----------------------------------------------------------------------------------
 bbEdgeMenu is a plugin for Blackbox for Windows.  For more information,
 please visit [http://bb4win.org] or [http://sourceforge.net/projects/bb4win].
 ----------------------------------------------------------------------------------
 bbEdgeMenu is free software, released under the GNU General Public License,
 version 2, as published by the Free Software Foundation.  It is distributed
 WITHOUT ANY WARRANTY--without even the implied warranty of MERCHANTABILITY
 or FITNESS FOR A PARTICULAR PURPOSE.  Please see the GNU General Public
 License for more details:  [http://www.fsf.org/licenses/gpl.html].
 --------------------------------------------------------------------------------*/

#ifndef _WIN32_WINNT
	#define _WIN32_WINNT 0x0500
#endif

#define VC_EXTRALEAN

#define BB_MENU		10301

#include <windows.h>

//---------------------------------------------------------------------------------

enum PLUGIN_INFO { NAME_VERSION = 0, APPNAME, VERSION, AUTHOR, RELEASEDATE, WEBLINK, EMAIL };

extern "C"
{
	__declspec(dllexport) void		endPlugin(HINSTANCE);
	__declspec(dllexport) int		beginPlugin(HINSTANCE);

	__declspec(dllexport) LPCSTR	pluginInfo(int x)
	{
		switch (x)
		{
			case APPNAME:		return "bbEdgeMenu";
			case VERSION:		return "0.0.1";
			case AUTHOR:		return "bladestaylor";
			case RELEASEDATE:	return "May 15, 2004";
			case WEBLINK:		return "http://bb4win.sourceforge.net/bladestaylor/";
			case EMAIL:			return "bladestaylor@yahoo.com";
			default:			return "bbEdgeMenu 0.0.1";
		}
	};
}

//---------------------------------------------------------------------------------

bool WINAPI			DllMain(HINSTANCE, DWORD, LPVOID);
LRESULT CALLBACK	MouseProc(int, WPARAM, LPARAM);
LRESULT CALLBACK	PluginProc(HWND, UINT, WPARAM, LPARAM);

void				GetScreenSettings();
bool				IsValid(LPARAM);

void				RCSettings(),
					RC_Int(char*, char*, long*, int);

//---------------------------------------------------------------------------------

HHOOK				hMouseHook = NULL;
HINSTANCE			hInstance = NULL;
HWND				hCoreWnd = NULL;
HWND				hPluginWnd = NULL;
DWORD				BBThread = 0;
RECT				ExclusionRect;

//---------------------------------------------------------------------------------

// --- from BBApi --------------------------------
inline int			ReadInt(LPCSTR, LPCSTR, int);
inline void			WriteInt(LPCSTR, LPCSTR, int);
#define				MAX_LINE_LENGTH 1024
// -----------------------------------------------

//---------------------------------------------------------------------------------